# Generated from miteru-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name miteru

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: An experimental phishing kit detector
License: MIT
URL: https://github.com/ninoseki/miteru
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(coveralls_reborn) >= 0.22
# BuildRequires: rubygem(coveralls_reborn) < 1
# BuildRequires: rubygem(glint) >= 0.1
# BuildRequires: rubygem(glint) < 1
# BuildRequires: rubygem(mysql2) >= 0.5
# BuildRequires: rubygem(mysql2) < 1
# BuildRequires: rubygem(overcommit) >= 0.58
# BuildRequires: rubygem(overcommit) < 1
# BuildRequires: rubygem(pg) >= 1.2
# BuildRequires: rubygem(pg) < 2
# BuildRequires: rubygem(rspec) >= 3.10
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(standard) >= 1.3
# BuildRequires: rubygem(standard) < 2
# BuildRequires: rubygem(vcr) >= 6.0
# BuildRequires: rubygem(vcr) < 7
# BuildRequires: rubygem(webmock) >= 3.14
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(webrick) >= 1.7.0
# BuildRequires: rubygem(webrick) < 1.8
BuildArch: noarch

%description
An experimental phishing kit detector.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/miteru
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.overcommit.yml
%{gem_instdir}/.standard.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/renovate.json
%{gem_instdir}/screenshots
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker
%{gem_instdir}/miteru.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 1.1.0-1
- Initial package
